apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: docs
  namespace: argocd
  labels:
    env: prod
spec:
  project: default
  syncPolicy:
    automated:
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - ServerSideApply=true
  destination:
    name: in-cluster
    namespace: docs
  syncOptions:
    - CreateNamespace=true
  sources:
    - repoURL: https://edp.buildth.ing/DevFW-CICD/website-and-documentation
      targetRevision: HEAD
      path: argocd-stack/helm
      helm:
        parameters:
        - name: image.tag
          value: $ARGOCD_APP_REVISION_SHORT